Initiate Onramp
curl --request POST \
--url https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/initiate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"from": {
"amount": 500,
"currency": "BRL"
},
"to": {
"asset": "USDC",
"chain": "SOLANA",
"destination_address": "2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9"
},
"client_onramp_reference": "5a26b319-fc68-4ee2-83f2-198895716135"
}
'import requests
url = "https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/initiate"
payload = {
"from": {
"amount": 500,
"currency": "BRL"
},
"to": {
"asset": "USDC",
"chain": "SOLANA",
"destination_address": "2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9"
},
"client_onramp_reference": "5a26b319-fc68-4ee2-83f2-198895716135"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: {amount: 500, currency: 'BRL'},
to: {
asset: 'USDC',
chain: 'SOLANA',
destination_address: '2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9'
},
client_onramp_reference: '5a26b319-fc68-4ee2-83f2-198895716135'
})
};
fetch('https://api.bullring.finance/v2/ramp/{subaccountId}/banking/onramp/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "e1359951-fa48-40f8-9e85-c38bc5ea857d",
"status": "pending",
"type": "onramp",
"created_at": "2026-01-30T15:16:21.764Z",
"account_id": "bb9bb7f8-53a1-4d2b-9d44-972462772789",
"client_onramp_reference": "5a26b319-fc68-4ee2-83f2-198895716136",
"from": {
"amount": "500",
"currency": "BRL",
"payment_instructions": {
"method": "pix",
"qr_code": "00020101021226890014br.gov.bcb.pix2567brcode-h.sandbox.starkinfra.com/v2/2ac38224b4244685a0ddbd81c880da495204000053039865802BR5908Bullring6015Ciudad de Mexic62070503***6304B0A9",
"expires_at": "2026-01-30T15:18:50.000Z"
}
},
"to": {
"asset": "USDC",
"gross_amount": "95.47",
"net_amount": "94.43",
"address": "2fFUHpCEXhdQtSxompq8qbyU7EjjrtkMnr7ZT4ovF9A9"
},
"pricing": {
"fx_rate": "0.19094342357815985",
"fees": {
"onramp_fee": "1.5",
"onramp_fee_currency": "brl",
"network_fee": "0.76",
"network_fee_asset": "USDC",
"total_fees": "5.43",
"total_fees_currency": "brl"
}
}
}{
"statusCode": 400,
"timestamp": "2025-12-10T06:10:31.899Z",
"error": "Bad Request",
"message": "cryptoAsset must be one of the following values: USDT, USDC, BTC_LIGHTNING"
}{
"statusCode": 404,
"timestamp": "2025-12-10T05:58:00.326Z",
"error": "Error",
"message": "Bank account not found"
}Onramp
Initiate Onramp
Initiate a fiat-to-crypto onramp transaction. This does not affect your Bullring balance.
POST
/
v2
/
ramp
/
{subaccountId}
/
banking
/
onramp
/
initiate
Initiate Onramp
Authorizations
Path Parameters
Body
application/json
⌘I